Bug 1125143 - (6.4.z) Add the ability to clone a profile
Summary: (6.4.z) Add the ability to clone a profile
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 07:44 UTC by Osamu Nagano
Modified: 2018-12-09 18:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 14:36:14 UTC
Type: Feature Request


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker EAP7-35 Major Closed Composable application server - Profile Cloning 2018-02-23 12:41:13 UTC
JBoss Issue Tracker PRODMGT-498 Major Resolved Clone an existing profile. 2018-02-23 12:41:14 UTC
JBoss Issue Tracker WFLY-1706 Major Resolved Clone a profile 2018-02-23 12:41:13 UTC

Description Osamu Nagano 2014-07-31 07:44:01 UTC
Description of problem:
In EAP 6 domain mode, a server is characterized by a profile assigned to a server-group.  Though each profile is usually similar to each other.  If we can create a profile based on another profile, we can reduce the cost of domain management.  This is an appealing advantage when manual edit of domain.xml is not allowed, as in automation system like Puppet or Chef.

Additional info:
There is WFLY-1706 in upstream but not implemented yet.

Comment 5 Brad Maxwell 2017-02-20 14:36:14 UTC
Closing as this was not really a bug.  It looks like this new feature was added in EAP 7.0


Note You need to log in before you can comment on or make changes to this bug.